Bug 472842 - Review Request: pytagger - ID3 Tag Reader and Writer Library for Python
Summary: Review Request: pytagger - ID3 Tag Reader and Writer Library for Python
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brennan Ashton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-25 00:26 UTC by Orcan Ogetbil
Modified: 2008-12-30 23:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-30 23:49:06 UTC
Type: ---
bashton: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2008-11-25 00:26:22 UTC
Spec URL: http://oget.fedorapeople.org/review/pytagger.spec
SRPM URL: http://oget.fedorapeople.org/review/pytagger-0.5-1.fc9.src.rpm
Description:
pytagger is a ID3 tag reader and writer implemented purely in Python.
It supports all the current ID3 tag implementations including ID3v1,
ID3v1.1, ID3v2.2, ID3v2.3 and ID3v2.4.

------------------------------------------------------------------------
rpmlint is silent.

I didn't run the test scripts because they need some extra audio files which are not provided by upstream.

Comment 1 Brennan Ashton 2008-11-26 01:45:27 UTC
Note, I am unsponsored so I cannot approve this

MUSTS:

*rpmlint -- passes cleanly in mock on rpm srpm and spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
*Package name correct
*Spec name correct
*Licensed fedora safe and correct
*Licence files is not in its own file so %doc is ok without it
*spec in english
*spec is readable
*md5sum is same as source file 0af47e825f510204d839cb190743ad40
*builds in mock
*builds in mock so buildrequires are good
*locales N/A
*library files N/A
*not designed to be relocatable
*owns created dirs
*permissions set
*no large docs
*%docs not runtime
*no devel needed
*no static libs
*no .pc files
*no .la files
*not gui app
*does not take ownership of other packages files
*buildroot cleaned at start of %install
*all file names valid UTF-8

SHOULDS:
I did not see the licence as a separate file has upstream been notified?
Any spec descriptions available?
Builds fine in mock.
Builds for all arch (noarch)
I have not done a functionality test.
No scriptlets.
No subpackages.


This package looks good to me, may want to look into the two questions I put in the SHOULDS section.

Comment 2 Orcan Ogetbil 2008-11-26 02:36:20 UTC
Hi. Thanks for your time. I hope you get sponsored soon.

- Actually, the license file is there. It is the COPYING file. The name "COPYING" is a common name for license files.

- Spec descriptions... I think I strictly followed the python guidelines:
    http://fedoraproject.org/wiki/Packaging/Python
Do you think there is something that is not clear?

Comment 3 Brennan Ashton 2008-11-26 03:09:33 UTC
(In reply to comment #2)
> Hi. Thanks for your time. I hope you get sponsored soon.
> 
> - Actually, the license file is there. It is the COPYING file. The name
> "COPYING" is a common name for license files.
I remember reading that file, not sure why I said that.
> 
> - Spec descriptions... I think I strictly followed the python guidelines:
>     http://fedoraproject.org/wiki/Packaging/Python
> Do you think there is something that is not clear?

I was referring to this part of the review guidelines 

http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
- SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

But as it says if available, so by no means is that a blocking issue.

Comment 4 Orcan Ogetbil 2008-11-26 06:54:00 UTC
(In reply to comment #3)
> I was referring to this part of the review guidelines 
> 
> http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
> - SHOULD: The description and summary sections in the package spec file should
> contain translations for supported Non-English languages, if available.
> 
> But as it says if available, so by no means is that a blocking issue.

Yes, you're right. There's been an ongoing discussion about this in the mailing list. We need more translators. While the guidelines suggest it, unfortunately, it never became a common exercise among packagers.

Comment 5 Brennan Ashton 2008-12-10 01:12:02 UTC
Now that I am sponsored, I will go through this again for you.

Comment 6 Brennan Ashton 2008-12-11 06:33:04 UTC
I took another look at this, and it still looks fine, so I am going to:
APPROVE
It.
Go ahead and place your CVS Request.

Comment 7 Brennan Ashton 2008-12-11 06:35:50 UTC
I had marked as assigned but forgot to add my self as the assignee.

Comment 8 Orcan Ogetbil 2008-12-11 08:26:35 UTC
Thank you Brennan.

New Package CVS Request
=======================
Package Name: pytagger
Short Description: ID3 Tag Reader and Writer Library for Python
Owners: oget
Branches: F-9 F-10 devel
InitialCC:

Comment 9 Kevin Fenzi 2008-12-14 04:45:20 UTC
cvs done.

Comment 10 Fedora Update System 2008-12-14 23:58:47 UTC
pytagger-0.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pytagger-0.5-1.fc9

Comment 11 Fedora Update System 2008-12-15 00:00:29 UTC
pytagger-0.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pytagger-0.5-1.fc10

Comment 12 Fedora Update System 2008-12-18 00:39:34 UTC
pytagger-0.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pytagger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11302

Comment 13 Fedora Update System 2008-12-18 00:42:32 UTC
pytagger-0.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pytagger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11317

Comment 14 Fedora Update System 2008-12-30 23:49:03 UTC
pytagger-0.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-12-30 23:50:03 UTC
pytagger-0.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.